import { NativeUIComponent } from "./NativeUIComponent";
import { INativeUICheckboxListBridge } from "./INativeUICheckboxListBridge";
import { NativeUIComponentBuiltInType } from "./NativeUIComponentBuiltInType";
import { Type } from "./type";
import { NativeUICheckboxListChangeEventArgs } from "./NativeUICheckboxListChangeEventArgs";
import { NativeUICheckboxListIndexTypeChangedEventArgs } from "./NativeUICheckboxListIndexTypeChangedEventArgs";
import { NativeUICheckboxListKeysClearedEventArgs } from "./NativeUICheckboxListKeysClearedEventArgs";
import { Brush } from "./Brush";
import { NativeUICheckboxListIndexType } from "./NativeUICheckboxListIndexType";
import { ControlDisplayDensity } from "./ControlDisplayDensity";
/**
 * @hidden
 */
export declare class NativeUICheckboxList extends NativeUIComponent {
    static $t: Type;
    get bm(): INativeUICheckboxListBridge;
    protected get_e(): NativeUIComponentBuiltInType;
    private bq;
    get bu(): (sender: any, args: NativeUICheckboxListChangeEventArgs) => void;
    set bu(a: (sender: any, args: NativeUICheckboxListChangeEventArgs) => void);
    private bn;
    get br(): (sender: any, args: NativeUICheckboxListChangeEventArgs) => void;
    set br(a: (sender: any, args: NativeUICheckboxListChangeEventArgs) => void);
    private bo;
    get bs(): (sender: any, args: NativeUICheckboxListChangeEventArgs) => void;
    set bs(a: (sender: any, args: NativeUICheckboxListChangeEventArgs) => void);
    private bp;
    get bt(): (sender: any, args: NativeUICheckboxListChangeEventArgs) => void;
    set bt(a: (sender: any, args: NativeUICheckboxListChangeEventArgs) => void);
    private bw;
    get bx(): (sender: any, args: NativeUICheckboxListIndexTypeChangedEventArgs) => void;
    set bx(a: (sender: any, args: NativeUICheckboxListIndexTypeChangedEventArgs) => void);
    private by;
    get bz(): (sender: any, args: NativeUICheckboxListKeysClearedEventArgs) => void;
    set bz(a: (sender: any, args: NativeUICheckboxListKeysClearedEventArgs) => void);
    get b5(): any;
    set b5(a: any);
    get b1(): boolean;
    set b1(a: boolean);
    cd(): void;
    get cf(): Brush;
    set cf(a: Brush);
    get b6(): string;
    set b6(a: string);
    get b9(): string;
    set b9(a: string);
    get b8(): string;
    set b8(a: string);
    get b7(): string;
    set b7(a: string);
    get bv(): NativeUICheckboxListIndexType;
    set bv(a: NativeUICheckboxListIndexType);
    get bl(): ControlDisplayDensity;
    set bl(a: ControlDisplayDensity);
    get b2(): boolean;
    set b2(a: boolean);
    get bk(): string[];
    set bk(a: string[]);
    get cj(): Brush;
    set cj(a: Brush);
    get cg(): Brush;
    set cg(a: Brush);
    get ch(): Brush;
    set ch(a: Brush);
    get ci(): Brush;
    set ci(a: Brush);
    get b0(): boolean;
    set b0(a: boolean);
    get b4(): any;
    set b4(a: any);
    get b3(): number;
    set b3(a: number);
    cb(): void;
    ca(a: string[], b: any[]): void;
    cc(a: number, b: string[], c: any[]): void;
    ce(a: number): void;
}
